## meshtastic 2.7.3

=== Makefile ===
# only run the fast unit tests
test:
	pytest -m unit

# only run the smoke tests against the virtual device
virt:
	pytest -m smokevirt

# run the smoke1 test (after doing a factory reset and unplugging/replugging in device)
smoke1:
	pytest -m smoke1 -s -vv

# local install
install:
	pip install .

# generate the docs (for local use)
docs:
	pdoc3 --html -f --output-dir docs meshtastic

# lint the codebase
lint:
	pylint meshtastic examples

# show the slowest unit tests
slow:
	pytest -m unit --durations=5

protobufs: FORCE
	git submodule update --init --recursive
	git pull --rebase
	git submodule update --remote --merge
	./bin/regen-protobufs.sh

# run the coverage report and open results in a browser
cov:
	pytest --cov-report html --cov=meshtastic
	# on mac, this will open the coverage report in a browser
	open htmlcov/index.html

# run cli examples
examples: FORCE
	pytest -mexamples

# Makefile hack to get the examples to always run
FORCE: ;

## meshtastic 2.3.12

=== debian/changelog ===
meshtastic (2.3.12-1) unstable; urgency=medium

  * Initial release. (Closes: #1074349)

 -- Alex Myczko <tar@debian.org>  Thu, 27 Jun 2024 00:24:34 +0000

=== debian/control ===
Source: meshtastic
Section: hamradio
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-poetry,
 python3-bleak,
 python3-protobuf,
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/meshtastic/Meshtastic-python
Vcs-Browser: https://salsa.debian.org/debian/meshtastic
Vcs-Git: https://salsa.debian.org/debian/meshtastic.git

Package: python3-meshtastic
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: client shell for talking to Meshtastic devices
 This is a Python client for use with Meshtastic devices. This small library
 (and example application) provides an easy API for sending and receiving
 messages over mesh radios. It also provides access to any of the
 operations/data available in the device user interface or the Android
 application. Events are delivered using a publish-subscribe model, and you
 can subscribe to only the message types you are interested in.
 .
 This package installs the library for Python 3.

## meshtastic 2.3.14

=== debian/changelog ===
meshtastic (2.3.14-2) unstable; urgency=medium

  * d/control: add python3-dotmap to build-depends. (Closes: #1076404)

 -- Alex Myczko <tar@debian.org>  Mon, 29 Jul 2024 20:02:48 +0000

meshtastic (2.3.14-1) unstable; urgency=medium

  * New upstream version. (Closes: #1076060)
  * d/control: add to hams team.

 -- Alex Myczko <tar@debian.org>  Wed, 10 Jul 2024 07:10:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: meshtastic
 Section: hamradio
 Priority: optional
-Maintainer: Alex Myczko <tar@debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

## meshtastic 2.5.3

=== debian/changelog ===
meshtastic (2.5.3-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Tue, 22 Oct 2024 09:47:07 +0000

meshtastic (2.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 19 Sep 2024 07:59:58 +0000

meshtastic (2.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Tue, 10 Sep 2024 11:18:41 +0000

meshtastic (2.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Wed, 28 Aug 2024 16:30:27 +0000

meshtastic (2.3.15-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 16 Aug 2024 08:27:34 +0000

## meshtastic 2.5.5

=== debian/changelog ===
meshtastic (2.5.5-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 02 Dec 2024 09:32:09 +0000

meshtastic (2.5.4-1) unstable; urgency=medium

  * New upstream version.
  * d/control: update Vcs fields.
  * Apply patch to fix build-depends, and fix other dependency.
    Thanks Chris Talbot. (Closes: #1083123)

 -- Alex Myczko <tar@debian.org>  Thu, 07 Nov 2024 14:00:39 +0000

## meshtastic 2.5.11

=== debian/changelog ===
meshtastic (2.5.11-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: dropped.

 -- Alex Myczko <tar@debian.org>  Thu, 13 Feb 2025 11:27:24 +0000

## meshtastic 2.6.0

=== debian/changelog ===
meshtastic (2.6.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 13 Mar 2025 11:35:15 +0000

meshtastic (2.5.12-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Thu, 27 Feb 2025 15:22:06 +0000

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
  python3-poetry,
  python3-bleak,
  python3-protobuf,
+ python3-dotmap,
 #Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.7.0
 Homepage: https://github.com/meshtastic/Meshtastic-python
-Vcs-Browser: https://salsa.debian.org/debian/meshtastic
-Vcs-Git: https://salsa.debian.org/debian/meshtastic.git
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/meshtastic
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/meshtastic.git
 
 Package: python3-meshtastic
 Architecture: all

## meshtastic 2.6.4

=== debian/changelog ===
meshtastic (2.6.4-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Mon, 07 Jul 2025 09:41:39 +0000

## meshtastic 2.7.1

=== debian/changelog ===
meshtastic (2.7.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 05 Sep 2025 10:42:11 -0500

## meshtastic 2.7.2

=== debian/changelog ===
meshtastic (2.7.2-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Sep 2025 10:39:00 +0200

## meshtastic 2.7.3

=== debian/changelog ===
meshtastic (2.7.3-1) unstable; urgency=medium

  * New upstream version.
  * d/examples: added.

 -- Alex Myczko <tar@debian.org>  Mon, 22 Sep 2025 12:07:18 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-protobuf,
  python3-dotmap,
 #Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/meshtastic/Meshtastic-python
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/meshtastic
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/meshtastic.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=meshtastic

%:
	dh $@ --buildsystem=pybuild


override_dh_auto_test:
	@echo no test

override_dh_auto_install:
	dh_auto_install
	rm debian/python3-meshtastic/usr/lib/python3.*/dist-packages/meshtastic/.gitignore

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/meshtastic/Meshtastic-python/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## meshtastic 2.7.4

=== debian/changelog ===
meshtastic (2.7.4-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 17 Nov 2025 10:09:45 +0100

## meshtastic 2.7.5

=== debian/changelog ===
meshtastic (2.7.5-1) unstable; urgency=medium

  * New upstream version.
  * d/control: drop Rules-Requires-Root.

 -- Alex Myczko <tar@debian.org>  Sun, 23 Nov 2025 18:36:26 +0100

## meshtastic 2.7.6

=== debian/changelog ===
meshtastic (2.7.6-1) unstable; urgency=medium

  * New upstream version.
  * d/watch: update to version 5.
  * d/copyright: bump year.

 -- Alex Myczko <tar@debian.org>  Sat, 10 Jan 2026 09:02:10 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: meshtastic
Project: Meshtastic-python

## meshtastic 2.7.7

=== debian/changelog ===
meshtastic (2.7.7-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Tue, 27 Jan 2026 20:39:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Alex Myczko <tar@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
